Bug 830817 - [ipa webui] IE - Add permission of type Subtree, has a smaller textarea for subtree than FF
Summary: [ipa webui] IE - Add permission of type Subtree, has a smaller textarea for s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-11 13:21 UTC by Namita Soman
Modified: 2013-02-21 09:15 UTC (History)
4 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 09:15:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
adding permission of type subtree - before (154.10 KB, image/png)
2012-06-11 13:28 UTC, Namita Soman
no flags Details
adding permission of type subtree - after (155.81 KB, image/png)
2012-06-11 13:28 UTC, Namita Soman
no flags Details
textarea in IE (198.57 KB, image/png)
2013-01-22 13:41 UTC, Xiyang Dong
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Namita Soman 2012-06-11 13:21:02 UTC
Description of problem:
Add a permission of type subtree
To specify the subtree, the textarea is smaller than FF, and is clumsy to enter the subtree in that area and scroll up and down to enter it. 
FF has a bigger textarea, which can also be resized.

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a permission of type subtree
2. enter subtree - say - idnsname=testrelm.com,cn=dns,dc=testrelm,dc=com

  
Actual results:
cannot see the full subtree data, have to scroll line up or down

Expected results:
be able to see the full text area, without having to scroll, or be able to resize

Additional info:

Comment 1 Namita Soman 2012-06-11 13:28:13 UTC
Created attachment 590932 [details]
adding permission of type subtree - before

Comment 2 Namita Soman 2012-06-11 13:28:40 UTC
Created attachment 590933 [details]
adding permission of type subtree - after

Comment 4 Namita Soman 2012-06-11 13:41:26 UTC
And same issue when editing such a permission. Subtree field is one line wide with scrollbar, unlike the wider, resizeable textarea in FF

Comment 5 Rob Crittenden 2012-06-12 14:18:10 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2832

Comment 6 Petr Vobornik 2012-07-18 13:54:13 UTC
Fixed upstream: 3adebcf919e81ead95c68995db52f7c2da999792

Comment 10 Xiyang Dong 2013-01-21 15:51:19 UTC
Created attachment 684377 [details]
textarea in rhel

verified in ipa-server-3.0.0-22.el6.x86_64

FF has a bigger textarea now, which can also be resized.

Comment 11 Xiyang Dong 2013-01-22 13:41:29 UTC
Created attachment 685141 [details]
textarea in IE

verified in ipa-server-3.0.0-22.el6.x86_64

text area has a bigger text area now

Comment 13 errata-xmlrpc 2013-02-21 09:15:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.